BraseroSessionCfg
3
BRASERO Library

# BraseroSessionCfg

## Synopsis

                        BraseroSessionCfg;
    #define             BRASERO_DRIVE_PROPERTIES_FLAGS
    enum                BraseroSessionError;
    #define             BRASERO_SESSION_IS_VALID            (result_MACRO)
    BraseroSessionCfg * brasero_session_cfg_new             (void);
    BraseroSessionError  brasero_session_cfg_get_error      (BraseroSessionCfg *cfg);
    void                brasero_session_cfg_add_flags       (BraseroSessionCfg *cfg,
                                                             BraseroBurnFlag flags);
    void                brasero_session_cfg_remove_flags    (BraseroSessionCfg *cfg,
                                                             BraseroBurnFlag flags);
    gboolean            brasero_session_cfg_is_supported    (BraseroSessionCfg *cfg,
                                                             BraseroBurnFlag flags);
    gboolean            brasero_session_cfg_is_compulsory   (BraseroSessionCfg *cfg,
                                                             BraseroBurnFlag flags);
    gboolean            brasero_session_cfg_has_default_output_path
                                                            (BraseroSessionCfg *cfg);
    void                brasero_session_cfg_disable         (BraseroSessionCfg *self);

## Description

## Details

### BraseroSessionCfg

    typedef struct {
    	BraseroSessionSpan parent_instance;
    } BraseroSessionCfg;

### BRASERO_DRIVE_PROPERTIES_FLAGS

    #define             BRASERO_DRIVE_PROPERTIES_FLAGS

### enum BraseroSessionError

    typedef enum {
    	BRASERO_SESSION_VALID				= 0,
    	BRASERO_SESSION_NO_CD_TEXT			= 1,
    	BRASERO_SESSION_NOT_READY,
    	BRASERO_SESSION_EMPTY,
    	BRASERO_SESSION_NO_INPUT_IMAGE,
    	BRASERO_SESSION_UNKNOWN_IMAGE,
    	BRASERO_SESSION_NO_INPUT_MEDIUM,
    	BRASERO_SESSION_NO_OUTPUT,
    	BRASERO_SESSION_INSUFFICIENT_SPACE,
    	BRASERO_SESSION_OVERBURN_NECESSARY,
    	BRASERO_SESSION_NOT_SUPPORTED,
    	BRASERO_SESSION_DISC_PROTECTED
    } BraseroSessionError;

### BRASERO_SESSION_IS_VALID()

    #define             BRASERO_SESSION_IS_VALID(result_MACRO)

`result_MACRO` :

### brasero_session_cfg_new ()

    BraseroSessionCfg * brasero_session_cfg_new             (void);

Returns :

### brasero_session_cfg_get_error ()

    BraseroSessionError  brasero_session_cfg_get_error      (BraseroSessionCfg *cfg);

`cfg` :

Returns :

### brasero_session_cfg_add_flags ()

    void                brasero_session_cfg_add_flags       (BraseroSessionCfg *cfg,
                                                             BraseroBurnFlag flags);

`cfg` :

`flags` :

### brasero_session_cfg_remove_flags ()

    void                brasero_session_cfg_remove_flags    (BraseroSessionCfg *cfg,
                                                             BraseroBurnFlag flags);

`cfg` :

`flags` :

### brasero_session_cfg_is_supported ()

    gboolean            brasero_session_cfg_is_supported    (BraseroSessionCfg *cfg,
                                                             BraseroBurnFlag flags);

`cfg` :

`flags` :

Returns :

### brasero_session_cfg_is_compulsory ()

    gboolean            brasero_session_cfg_is_compulsory   (BraseroSessionCfg *cfg,
                                                             BraseroBurnFlag flags);

`cfg` :

`flags` :

Returns :

### brasero_session_cfg_has_default_output_path ()

    gboolean            brasero_session_cfg_has_default_output_path
                                                            (BraseroSessionCfg *cfg);

`cfg` :

Returns :

### brasero_session_cfg_disable ()

    void                brasero_session_cfg_disable         (BraseroSessionCfg *self);

`self` :